Group: System/Base
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           kcbench
Version:        0.9.10
Release:        alt1_1
Summary:        Benchmark that compiles a Linux kernel

License:        MIT:Modern Style with sublicense
URL:            https://gitlab.com/knurd42/kcbench
Source0:        https://gitlab.com/knurd42/kcbench/-/archive/v%{version}/kcbench-v%{version}.tar.bz2

BuildArch:      noarch


# needed for compiling a modern Linux kernels:
Requires:       make
Requires:       gcc
Requires:       binutils
Requires:       bison
Requires:       flex
Requires:       %{_bindir}/awk
Requires:       %{_bindir}/time
Requires:       %{_bindir}/bc
Requires:       %{_bindir}/lscpu
Requires:       %{_bindir}/pkill
Requires:       /usr/bin/pkg-config
Requires:       curl
Source44: import.info

%description
Compiles a Linux kernel to benchmark a system or test its stability.


%prep
%setup -q -n %{name}-v%{version}
echo "Nothing to prep"


%build
echo "Nothing to build"


%install
%{makeinstall_std} PREFIX=/usr/


%files
%{_bindir}/kcbench
%{_bindir}/kcbenchrate
%{_mandir}/man1/*
%{_docdir}/kcbench/

%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 0.9.10-alt1_1
- update to new release by fcimport

* Fri Dec 01 2023 Igor Vlasenko <viy@altlinux.org> 0.9.7-alt1_1
- update to new release by fcimport

* Thu Aug 31 2023 Igor Vlasenko <viy@altlinux.org> 0.9.6-alt1_2
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 0.9.5-alt1_3
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 0.9.5-alt1_2
- update to new release by fcimport

* Thu May 05 2022 Igor Vlasenko <viy@altlinux.org> 0.9.5-alt1_1
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 0.9.3-alt1_2
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 0.9.2-alt1_2
- update to new release by fcimport

* Wed Apr 14 2021 Igor Vlasenko <viy@altlinux.org> 0.9.2-alt1_1
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 0.9.1-alt2_2
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 0.9.1-alt2_1
- update to new release by fcimport

* Fri Dec 25 2020 Igor Vlasenko <viy@altlinux.ru> 0.9.1-alt1_1
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 0.9.0-alt1_2
- update to new release by fcimport

* Mon Jul 06 2020 Igor Vlasenko <viy@altlinux.ru> 0.9.0-alt1_1
- update to new release by fcimport

* Sat Jun 13 2020 Igor Vlasenko <viy@altlinux.ru> 0.9.0-alt1_0.beta.1.1
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 0.4.1-alt1_3.1
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 0.4.1-alt1_2.1
- update to new release by fcimport

* Thu Apr 11 2019 Igor Vlasenko <viy@altlinux.ru> 0.4.1-alt1_1.1
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.4-alt1_1.1
- update to new release by fcimport

* Mon Dec 17 2018 Igor Vlasenko <viy@altlinux.ru> 0.4-alt1_0.1
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 0.3-alt1_19
- update to new release by fcimport

* Wed Apr 04 2018 Igor Vlasenko <viy@altlinux.ru> 0.3-alt1_18
- update to new release by fcimport

* Wed Sep 27 2017 Igor Vlasenko <viy@altlinux.ru> 0.3-alt1_17
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 0.3-alt1_16
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 0.3-alt1_15
- update to new release by fcimport

* Mon Sep 21 2015 Igor Vlasenko <viy@altlinux.ru> 0.3-alt1_14
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 0.3-alt1_12.1
- update to new release by fcimport

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.3-alt1_11.1
- update to new release by fcimport

* Fri Apr 26 2013 Igor Vlasenko <viy@altlinux.ru> 0.3-alt1_10.1
- initial fc import

